turf
	icon='turf.dmi'

mob/var
	Def=0	//the player's defense stat
	obj/Equipment
		Shirt	//define a variable for each slot of equipment
		Pants

mob/Login()	//basic login stuff <.<
	src.icon='mob.dmi'
	src.loc=locate(5,5,1)

mob/Stat()
	statpanel("Inventory")	//displays equipment info
	stat("Defense:",src.Def)
	stat("Am I wearing a shirt: [(src.Shirt)? "Yes":"No"]",src.Shirt)
	stat("Am I wearing pants: [(src.Pants)? "Yes":"No"]",src.Pants)
	stat(src.contents)

var/const/Pants_Layer=5	//keeps the equipment overlays over the player
var/const/Shirt_Layer=6	//allows us to have multiple equipment layers, capes over shirts and such

obj/Equipment
	var/Slot	//we'll use this to determine where to equip to
	var/Def=0
	Shirts	//this allows you to create multiple types of shirts
		Slot="Shirt"	//make sure you set the slot to match the variables above!
		layer=Shirt_Layer	//set its layer to the pre-defined Shirt Layer
		Shirt
			Def=1	//how much defense this will add when equipped
			icon='Shirt.dmi'	//sets the icon for whatever
		T_Shirt	//The T Shirt is just to show how to make more <.<
			Def=2
			icon='TShirt.dmi'
	Pants
		Slot="Pants"
		layer=Pants_Layer
		Pants
			Def=1
			icon='Pants.dmi'
	verb
		Get()	//basic verb to pickup an item
			set src in oview(1)
			src.loc=usr
			usr<<"You pick up the [src]."
		Equip()
			if(!src.Slot || !(src.Slot in usr.vars))	return	//just incase the creator doesnt set a slot <.<
			var/obj/Equipment/CurEQ=usr.vars["[src.Slot]"]	//check their current Slot Equipment
			if(CurEQ)	//if they already have something equipped there, UnEquip it for them
				if(CurEQ==src)	//if theyre already wearing this exact equipment
					return	//stop the code, dont bother re-equipping it
				CurEQ.Remove()
			usr.Def+=src.Def	//add the equipments stats to the player's
			usr.overlays+=src	//display on their overlays
			usr<<"You put on the [src.name]."	//basic equip message
			usr.vars["[src.Slot]"]=src	//set their variable to the equipment
		Remove()
			if(!src.Slot || !(src.Slot in usr.vars))	return
			if(usr.vars["[src.Slot]"]==src)	//if they do have THIS item eqiupped
				usr.Def-=src.Def	//Remove the Defense when they stop wearing it
				usr<<"You take off the [src.name]."
				usr.overlays-=usr.vars["[src.Slot]"]	//remove it from their overlays
				usr.vars["[src.Slot]"]=null	//then set their slot back to empty
			else
				usr<<"You arent wearing this!"

